Bug 188513 - [UPDATE] audio/easytag to 2.2.0
Summary: [UPDATE] audio/easytag to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-12 14:50 UTC by Olivier Duchateau
Modified: 2014-04-13 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (6.64 KB, patch)
2014-04-12 14:50 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2014-04-12 14:50:00 UTC
- Update to 2.2.0
- Add new options, OPUS and SPEEX (to enhance audio files support), GTK2 (set by default) and GTK3.
- Add patch to avoid install appdata file, used in appstream [1]
- Adjust dependencies, notably to generate man page

[1] http://www.freedesktop.org/wiki/Distributions/AppStream/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-12 14:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-13 14:44:31 UTC
Author: novel
Date: Sun Apr 13 13:44:24 2014
New Revision: 351221
URL: http://svnweb.freebsd.org/changeset/ports/351221
QAT: https://qat.redports.org/buildarchive/r351221/

Log:
  - Update to 2.2.0 [1]
  - Add new options, OPUS and SPEEX (to enhance audio files support), GTK2 (set by default) and GTK3 [1]
  - Add patch to avoid install appdata file, used in appstream [1] [2]
  - Adjust dependencies, notably to generate man page [1]
  - Use PORTDOCS
  - Fix build with clang
  
  [2] http://www.freedesktop.org/wiki/Distributions/AppStream/
  
  PR:		188513 [1]
  Submitted by:	olivierd [1]

Added:
  head/audio/easytag/files/patch-Makefile.in   (contents, props changed)
  head/audio/easytag/files/patch-src-id3lib-c_wrapper.cpp   (contents, props changed)
Modified:
  head/audio/easytag/Makefile
  head/audio/easytag/distinfo
  head/audio/easytag/pkg-descr
  head/audio/easytag/pkg-plist

Modified: head/audio/easytag/Makefile
==============================================================================
--- head/audio/easytag/Makefile	Sun Apr 13 13:23:52 2014	(r351220)
+++ head/audio/easytag/Makefile	Sun Apr 13 13:44:24 2014	(r351221)
@@ -2,38 +2,71 @@
 # $FreeBSD$
 
 PORTNAME=	easytag
-PORTVERSION=	2.1.8
-PORTREVISION=	2
+PORTVERSION=	2.2.0
 CATEGORIES=	audio
 MASTER_SITES=	GNOME
 
 MAINTAINER=	novel@FreeBSD.org
-COMMENT=	GTK2 Tag editor for MP3 and OGG files
+COMMENT=	GTK Tag editor for audio files
 
 LICENSE=	GPLv2
 
+BUILD_DEPENDS=	${LOCALBASE}/share/xml/docbook/4.4/catalog.xml:${PORTSDIR}/textproc/docbook-xml \
+	        ${LOCALBASE}/share/xsl/docbook/html/refentry.xsl:${PORTSDIR}/textproc/docbook-xsl \
+	        itstool:${PORTSDIR}/textproc/itstool \
+		xsltproc:${PORTSDIR}/textproc/libxslt
 LIB_DEPENDS=	libid3.so:${PORTSDIR}/audio/id3lib \
 		libid3tag.so:${PORTSDIR}/audio/libid3tag \
 		libvorbis.so:${PORTSDIR}/audio/libvorbis \
 		libFLAC.so:${PORTSDIR}/audio/flac \
 		libtag.so:${PORTSDIR}/audio/taglib
 
-CONFLICTS=	easytag-devel-[0-9]*
-
-USE_XZ=		yes
-USES=		gmake pkgconfig pathfix desktop-file-utils
-USE_GNOME=	gtk20
+USES=		gmake pkgconfig pathfix desktop-file-utils tar:xz
+USE_GNOME=	glib20 intltool intlhack libxslt
 INSTALLS_ICONS=	yes
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include -DHAVE_GTK
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS_DEFINE=	WAVPACK NLS
+CONFIGURE_ARGS=	--disable-appdata-validate \
+	--without-help-dir \
+	--with-xml-catalog=${LOCALBASE}/share/xml/catalog
+
+PORTDOCS=	HACKING THANKS TODO
+
+OPTIONS_DEFINE=	WAVPACK NLS OPUS SPEEX
+OPTIONS_SINGLE=	GTK
+OPTIONS_SINGLE_GTK=	GTK2 GTK3
+OPTIONS_DEFAULT=	GTK2 NLS
+
+OPUS_DESC=	IETF audio support
 
 OPTIONS_SUB=	yes
 WAVPACK_LIB_DEPENDS=	libwavpack.so:${PORTSDIR}/audio/wavpack
 WAVPACK_CONFIGURE_ENABLE=	wavpack
 NLS_USES=		gettext
 NLS_CONFIGURE_ENABLE=	nls
+OPUS_LIB_DEPENDS=	libopusfile.so:${PORTSDIR}/audio/opusfile
+OPUS_CONFIGURE_ENABLE=	opus
+SPEEX_LIB_DEPENDS=	libspeex.so:${PORTSDIR}/audio/speex
+SPEEX_CONFIGURE_ENABLE=	speex
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGTK2}
+USE_GNOME+=	gtk20
+CONFIGURE_ARGS+=--with-gtk2
+.endif
+
+.if ${PORT_OPTIONS:MGTK3}
+USE_GNOME+=	gtk30
+CONFIGURE_ARGS+=--without-gtk2
+.endif
+
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in ${PORTDOCS}
+	@${INSTALL_DATA} ${WRKSRC}/${i} ${STAGEDIR}${DOCSDIR}
+.endfor
 
 .include <bsd.port.mk>

Modified: head/audio/easytag/distinfo
==============================================================================
--- head/audio/easytag/distinfo	Sun Apr 13 13:23:52 2014	(r351220)
+++ head/audio/easytag/distinfo	Sun Apr 13 13:44:24 2014	(r351221)
@@ -1,2 +1,2 @@
-SHA256 (easytag-2.1.8.tar.xz) = 1a2f75c9a70aeb7a404dfaa96e0df0eaaa325df301c58f0f708d0da4c08e65a9
-SIZE (easytag-2.1.8.tar.xz) = 2459496
+SHA256 (easytag-2.2.0.tar.xz) = 29589972a3a8beb7823df74f1e845c1e61ab46508425894fa46b72c86cad56f7
+SIZE (easytag-2.2.0.tar.xz) = 949080

Added: head/audio/easytag/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/easytag/files/patch-Makefile.in	Sun Apr 13 13:44:24 2014	(r351221)
@@ -0,0 +1,44 @@
+--- ./Makefile.in.orig	2014-04-11 23:01:28.000000000 +0000
++++ ./Makefile.in	2014-04-12 13:01:19.000000000 +0000
+@@ -612,7 +612,6 @@
+ am__quote = @am__quote@
+ am__tar = @am__tar@
+ am__untar = @am__untar@
+-appdataxmldir = @appdataxmldir@
+ bindir = @bindir@
+ build = @build@
+ build_alias = @build_alias@
+@@ -657,7 +656,7 @@
+ top_srcdir = @top_srcdir@
+ ACLOCAL_AMFLAGS = -I m4
+ DISTCHECK_CONFIGURE_FLAGS = \
+-	--enable-appdata-check \
++	--disable-appdata-check \
+ 	--enable-flac \
+ 	--enable-id3v23 \
+ 	--enable-ogg \
+@@ -783,8 +782,6 @@
+ @WINDOWS_HOST_TRUE@easytag_LDFLAGS = \
+ @WINDOWS_HOST_TRUE@	-Wl,--subsystem,windows
+ 
+-appdata_in_files = data/easytag.appdata.xml.in
+-appdata_XML = $(appdata_in_files:.appdata.xml.in=.appdata.xml)
+ desktopdir = $(datadir)/applications
+ desktop_in_files = data/easytag.desktop.in
+ desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
+@@ -844,7 +841,6 @@
+ 
+ UPDATE_ICON_CACHE = gtk-update-icon-cache --ignore-theme-index --force
+ dist_noinst_DATA = \
+-	$(appdata_in_files) \
+ 	$(desktop_in_files) \
+ 	$(easytag_headers) \
+ 	src/id3lib/patch_id3lib_3.8.3_UTF16_writing_bug.diff \
+@@ -895,7 +891,6 @@
+ @EASYTAG_ENABLE_TESTS_TRUE@	$(check_SCRIPTS)
+ 
+ CLEANFILES = \
+-	$(appdata_XML) \
+ 	$(check_SCRIPTS) \
+ 	$(desktop_DATA) \
+ 	$(easytag_rc) \

Added: head/audio/easytag/files/patch-src-id3lib-c_wrapper.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/easytag/files/patch-src-id3lib-c_wrapper.cpp	Sun Apr 13 13:44:24 2014	(r351221)
@@ -0,0 +1,11 @@
+--- src/id3lib/c_wrapper.cpp.orig	2014-04-13 16:14:15.000000000 +0400
++++ src/id3lib/c_wrapper.cpp	2014-04-13 16:14:33.000000000 +0400
+@@ -32,6 +32,8 @@
+ #include <id3/field.h>
+ #include <id3/tag.h>
+ 
++#include "id3_bugfix.h"
++
+ #ifdef __cplusplus
+ extern "C"
+ {

Modified: head/audio/easytag/pkg-descr
==============================================================================
--- head/audio/easytag/pkg-descr	Sun Apr 13 13:23:52 2014	(r351220)
+++ head/audio/easytag/pkg-descr	Sun Apr 13 13:44:24 2014	(r351221)
@@ -1,5 +1,5 @@
-EasyTAG is an utility for viewing and editing tags for MP3, MP2, FLAC, Ogg
-Vorbis, MusePack and Monkey's Audio files.
+EasyTAG is an utility for viewing and editing tags for MP3, MP2, MP4/AAC,
+FLAC, Ogg, Opus, Vorbis, MusePack and Monkey's Audio files.
 
 Features:
 

Modified: head/audio/easytag/pkg-plist
==============================================================================
--- head/audio/easytag/pkg-plist	Sun Apr 13 13:23:52 2014	(r351220)
+++ head/audio/easytag/pkg-plist	Sun Apr 13 13:44:24 2014	(r351221)
@@ -1,21 +1,22 @@
 bin/easytag
 man/man1/easytag.1.gz
 share/applications/easytag.desktop
-%%PORTDOCS%%%%DOCSDIR%%/HACKING
-%%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
 share/icons/hicolor/128x128/apps/easytag.png
 share/icons/hicolor/16x16/apps/easytag.png
+share/icons/hicolor/22x22/apps/easytag.png
+share/icons/hicolor/24x24/apps/easytag.png
 share/icons/hicolor/256x256/apps/easytag.png
 share/icons/hicolor/32x32/apps/easytag.png
 share/icons/hicolor/48x48/apps/easytag.png
 share/icons/hicolor/64x64/apps/easytag.png
 share/icons/hicolor/scalable/apps/easytag.svg
 %%NLS%%share/locale/bg/LC_MESSAGES/easytag.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/da/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/de/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/el/LC_MESSAGES/easytag.mo
+%%NLS%%share/locale/en_GB/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/es/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/he/LC_MESSAGES/easytag.mo
@@ -30,12 +31,15 @@ share/icons/hicolor/scalable/apps/easyta
 %%NLS%%share/locale/ru/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/easytag.mo
-%%NLS%%share/locale/sr@Latn/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/easytag.mo
+%%NLS%%share/locale/te/LC_MESSAGES/easytag.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/uk/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/easytag.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/easytag.mo
+%%NLS%%@dirrmtry share/locale/te/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/te
 %%NLS%%@dirrmtry share/locale/sr@latin/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/sr@latin
 @dirrmtry share/icons/hicolor/scalable/apps
@@ -48,10 +52,13 @@ share/icons/hicolor/scalable/apps/easyta
 @dirrmtry share/icons/hicolor/32x32
 @dirrmtry share/icons/hicolor/256x256/apps
 @dirrmtry share/icons/hicolor/256x256
+@dirrmtry share/icons/hicolor/24x24/apps
+@dirrmtry share/icons/hicolor/24x24
+@dirrmtry share/icons/hicolor/22x22/apps
+@dirrmtry share/icons/hicolor/22x22
 @dirrmtry share/icons/hicolor/16x16/apps
 @dirrmtry share/icons/hicolor/16x16
 @dirrmtry share/icons/hicolor/128x128/apps
 @dirrmtry share/icons/hicolor/128x128
 @dirrmtry share/icons/hicolor
 @dirrmtry share/icons
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Roman Bogorodskiy freebsd_committer 2014-04-13 14:50:17 UTC
State Changed
From-To: open->closed

Committed, thanks! 

I've made some additional modifications to the patch you submitted, you 
might find that in a commit message.